- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.FetchActionsByEnvironmentResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions/fetchActionsByEnvironment#body.aspect_1)

**Full name**: projects.locations.instances.integrations.actions.fetchActionsByEnvironment

Lists actions that are executable within specified environments. Use this method to discover which automated tasks have active `integration
instances` configured for a particular network or organizational context.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/actions:fetchActionsByEnvironment`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list IntegrationActions for. Format: projects/{project}/locations/{location}/instances/{instance}/soar/integrations/{integration} |

### Query parameters

| Parameters ||
|---|---|
| `environments[]` | `string` Required. List of environments. Query parameter. |
| `includeWidgets` | `boolean` Required. Represents if the call should also return widgets or not. Query parameter. |

### Request body

The request body must be empty.

### Response body

Response message for FetchActionsByEnvironment.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "actions": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions#IntegrationAction`) } ] } ``` |

| Fields ||
|---|---|
| `actions[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations.actions#IntegrationAction`)`` Required. List of actions that have integration instances in one of the given environments. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.integrationActions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).